hilbertCurve {HilbertVis} | R Documentation

## calculate finite approximations of the Hilbert curve

### Description

These functions calculate the Hilbert curve in its finite approximations. `hilbertCurvePoint` gives the coordinates of one point and `hilbertCurve` returns an array with the coordinates of all `4^lv` points. The functions are not needed for `hilbertImage` and only provided for demonstration purposes. `plotHilbertCurve` makes use of them.

### Usage

    hilbertCurve( lv )
    hilbertCurvePoint( t, lv )

### Arguments

`lv` | The iteration level. A Hilbert curve of level `lv` spans a square with side length `2^lv` (coordinates ranging from 0 to `2^lv-1`) and has `4^lv` points.
`t` | The point index in the Hilbert curve. Must be an integer in `0:(4^lv-1)`.

### Value

`hilbertCurvePoint` returns a vector of two integer numbers, both in the range `0:(2^lv-1)`, indicating the coordinates of point `t`. `huilbertCurve` returns a matrix with `4^lv` rows and 2 columns, giving all points of the curve at level `lv`.

### Author(s)

Simon Anders, EMBL-EBI, sanders@fs.tum.de

### See Also

`plotHilbertCurve`

### Examples

       hilbertCurvePoint( 67, 4 )
       hilbertCurve( 4 )

[Package HilbertVis version 1.2.0 Index]